> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaigns

> List all marketing campaigns with opportunity and conversion counts.



## OpenAPI

````yaml get /opportunity/campaign/list
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/campaign/list:
    get:
      tags:
        - Campaigns
      summary: List Campaigns
      description: List all marketing campaigns with opportunity and conversion counts.
      operationId: list_campaigns_opportunity_campaign_list_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_CampaignSummary_'
components:
  schemas:
    Page_CampaignSummary_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CampaignSummary'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[CampaignSummary]
    CampaignSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        platformId:
          anyOf:
            - type: string
            - type: 'null'
          title: Platformid
        platformAssetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Platformassetid
        externalCampaignId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalcampaignid
        externalResourceName:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalresourcename
        externalName:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalname
        externalStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalstatus
        externalCurrency:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalcurrency
        externalDailyBudgetCents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Externaldailybudgetcents
        externalLifetimeBudgetCents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Externallifetimebudgetcents
        externalLastSeenAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Externallastseenat
        externalLastSyncedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Externallastsyncedat
        externalStaleAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Externalstaleat
        externalSyncError:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalsyncerror
        locationId:
          type: string
          title: Locationid
        isActive:
          type: boolean
          title: Isactive
          default: true
        startDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startdate
        endDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enddate
        budgetCents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Budgetcents
        pipelineId:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipelineid
        webhook:
          anyOf:
            - $ref: '#/components/schemas/CampaignWebhookSummary'
            - type: 'null'
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        opportunityCount:
          type: integer
          title: Opportunitycount
          default: 0
        convertedCount:
          type: integer
          title: Convertedcount
          default: 0
      type: object
      required:
        - id
        - name
        - locationId
      title: CampaignSummary
    CampaignWebhookSummary:
      properties:
        webhookKey:
          type: string
          title: Webhookkey
        webhookUrl:
          type: string
          title: Webhookurl
        redirectUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirecturl
      type: object
      required:
        - webhookKey
        - webhookUrl
      title: CampaignWebhookSummary

````